petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecGetOwnershipRanges

Returns the range of indices owned by EACH processor, assuming that the vectors are laid out with the first n1 elements on the first processor, next n2 elements on the second, etc. For certain parallel layouts this range may not be well defined.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetOwnershipRanges(Vec x,const PetscInt *ranges[])

Not Collective

### Input Parameter

x -the vector

### Output Parameters

range -array of length size+1 with the start and end+1 for each process

### Note

The high argument is one more than the last element stored locally.

Fortran: You must PASS in an array of length size+1

### See Also

MatGetOwnershipRange(), MatGetOwnershipRanges(), VecGetOwnershipRange()

Level:beginner
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/pde_constrained/examples/tutorials/elliptic.c.html